Summary:	Perl implementation of BSD resource limit functions.
Name:		perl-BSD-Resource
Version:	1.14
Release:	1.3.0
Copyright:	distributable
Group:		Utilities/CPAN
Packager:	Ryan W. Maple <ryan@guardiandigital.com>
Source0:	BSD-Resource-%{version}.tar.gz
URL:		http://search.cpan.org/search?dist=BSD-Resource
Requires:	perl >= 5.004
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot/

%description
This Perl extension implements the BSD process resource limit
functions getrusage(), getrlimit(), setrlimit() and the BSD
process priority functions.  These are available also via core
Perl but here we do more tricks so that the PRIO_* are available.

%prep
%setup -q -n BSD-Resource-%{version}

%build
  OPTIMIZE="$RPM_OPT_FLAGS" perl Makefile.PL
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  eval `perl '-V:installarchlib'`
  mkdir -p $RPM_BUILD_ROOT/$installarchlib
  make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
       INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_perlman}/man1 \
       INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_perlman}/man3 install

  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man3/*.* || :
  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man1/*.* || :

  find $RPM_BUILD_ROOT/usr -type f -print |\
       sed "s,^$RPM_BUILD_ROOT,,g" | grep -v perllocal.pod |\
       sed "s,/usr/lib/perl5/man,%doc \0,g" > perl-module-filelist

%files -f perl-module-filelist
  %defattr(-,root,root)

%clean 
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue May 08 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.14, Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
